#include <strstream.h>
#include <stdlib.h>
#include "q.h"

/* structure and structure ptrs for linked list */
class element {
public:
	char *name;
	unsigned int age:4;
	enum {unspecified, male, female} sex:2;
	struct element *next;

	ostream& out(ostream &os) {
		os << name << " age " << (int)age << endl;
		return os;
	}

};

extern "C"
void printnames(element **plist, int cnt)
{
	element **pp;
	strstream io;
	ostream &os = io;
	//istream &is = io;
	Queue<element*> *pq = new Queue<element*>;

	for (pp=plist; pp-plist<cnt; pp++)
		pq->add(*pp);

	for (int i=0; i<cnt; i++)
		pq->remove()->out(os);

	cout << io.str() << flush;
}
