/**********************************************************************
file:		xsort()
contents:
	xsort(v,n,comp)
	xchg(p,q)
**********************************************************************/

/**********************************************************************
function:	xsort(v,n,comp)
summary:	sort routine from K&R
**********************************************************************/
xsort_(v,n,comp)
char *v[];	/* array of pointers to elements to be sorted */
int *n;		/* number of elements to be sorted */
int (*comp)();	/* routine to compare two elements */ 
{
	int gap,i,j;
	for(gap=*n/2; gap>0; gap/=2) {
		for(i=gap; i<*n; i++) {
			for(j=i-gap; j>=0; j-=gap) {
				if((*comp)(&v[j], &v[j+gap])<=0) break;
				xchg_(&v[j],&v[j+gap]);
			}
		}
	}
}

xchg_(p,q) char *p[],*q[]; {
	char *t;
	t= *p;
	*p= *q;
	*q= t;
}
