/* example code for relocating executable text sections
 * from ROM into RAM, by using the ROM(secname) linker
 * directive.   See instructions below
 */
#include <stdio.h>

/*  bring this up in the debugger, then:
 *  - connect to a debug server, like the simulator.
 *  - press 'step'
       memview will show that 0x80000 is all 0's
 *  - then press the "go" button (breakpoint at main will be hit)
       memview will show that code has been copied into 0x80000
 */
int foo(int bar);
void main(void)
{
    int i;
    int j=20;

    for(i=0 ; i<10 ; i++)
    {
        printf("j=%d\n",j);
	j = foo(j);
    }
}
