#ifndef _Q_GUARD
#define _Q_GUARD 1

#include <iostream.h>
#include <stdlib.h>



//
//	Template Queue Class
//


// Forward declaration of template Queue
template <class Type>  class Queue; 
template <class Type>  class QueueItem; 

template <class Type>
class QueueItem {
  Type item;
  QueueItem *next;
public:
  QueueItem(const Type&);
  friend class Queue<Type>;
  friend ostream& operator<<(ostream&, QueueItem<Type>&);
};

template <class Type>
class Queue {
  QueueItem<Type> *front;
  QueueItem<Type> *back;
public:
  Queue();
  ~Queue();
  Type remove();
  void add(const Type&);
  char is_empty();
  friend ostream& operator<<(ostream&, Queue<Type>&);
};
#endif
