#define ELEMENTSOF(x) (sizeof(x)/sizeof(x[0]))

enum sex {female, male};
struct information {
    int age : 8;
    enum sex sex : 8;
};
struct list {
    struct list *next;
    char name[8];
    struct information information;
};

struct list *list;
long counter;
int a[25];
struct element {
    char name[8];
    struct information info;
} table[] = {
    "Steve",	{ 47, male,	},
    "Mary",	{ 28, female,	},
    "Pat",	{ 49, female,	},
    "Ellen",	{ 33, female,	},
    "Bob",	{ 22, male,	},
    "Max",	{ 59, male,	},
    "Marcus",	{ 33, male,	},
    "Richard",	{ 53, male,	},
    "Melanie",	{ 44, female,	},
    "Diane",	{ 22, female,	},
};

/* MULTI allows the evaluation of #defines */
#define COUNT (sizeof(table)/sizeof(table[0]))

/* This function adds a record to the global list */
void add_to_list(char *name, int age, enum sex sex)
{
    static struct list x[COUNT];
    static int count = 0;
    struct list *temp = &x[count++];

    memcpy(temp->name, name, 8);
    temp->information.age = age;
    temp->information.sex = sex;
    temp->next = list;
    list = temp;
}
 
void increment_counter (void)
{
    counter++;
}

long fact (long n)
{
    if (n == 1)
	return 1;
    else
	return n*fact(n-1);
}

void do_loop (void)
{
    short i = ELEMENTSOF(a);

    while (i--)
        a[i] = 1;
}

void main (void)
{
    extern void bdmexit(int);
    int i;
    short count;

    counter = 0;
    for (i = 0; i < COUNT; i++)
        add_to_list(table[i].name, table[i].info.age, table[i].info.sex);
    for (count = 0; count < 500; count++)
        increment_counter();
    fact(10);
    do_loop();
    exit(0);
}
