/*
		Language Independent Library

	Copyright 1983-1996 Green Hills Software,Inc.

    This program is the property of Green Hills Software, Inc,
    its contents are proprietary information and no part of it
    is to be disclosed to anyone except employees of Green Hills
    Software, Inc., or as agreed in writing signed by the President
    of Green Hills Software, Inc.
*/

#include "ind_thrd.h"
#include <setjmp.h>

/* GlobalTLS is a global structure to use for thread local storage if we      */
/* don't have multi-threading.  To use the multi-threaded capability of the   */
/* libraries this function must be overridden by another definition which     */
/* depends on the OS being used.					      */
ThreadLocalStorage GlobalTLS;

ThreadLocalStorage *GetThreadLocalStorage()
{
    return &GlobalTLS;
}

void __ghsLock(void)
{
}

void __ghsUnlock(void)
{
}

int __ghs_SaveSignalContext(jmp_buf jmpbuf)
{
    return 0;
}

void __ghs_RestoreSignalContext(jmp_buf jmpbuf)
{
}

void __gh_lock_init(void)
{
}

#ifdef __ghs_thread_safe
/* Must get called after __cpp_except_init() is called to allocate 
 * and initialize the per-thread exception handling structure */
void *__get_eh_globals(void) 
{
    return GlobalTLS.__eh_globals;
}

void __ghs_flock_file(void *addr) {}
void __ghs_funlock_file(void *addr) {}
int __ghs_ftrylock_file(void *addr) { return -1; }
void __ghs_flock_create(void **addr) {}
void __ghs_flock_destroy(void *addr) {}

#endif
